API Reference
Get Text Creation History
Returns a paginated list of text sharings created by the authenticated user.
GET
page?integerPage number (default: 1)
Range
1 <= valueDefault
1OK
application/json- response
code?integerResponse status code (200 indicates success)
data?array<>List of text sharings
message?stringHuman-readable status message
success?booleanWhether the request succeeded
curl -X GET 'https://s.ee/api/v1/texts' \ -H 'Authorization: string'Example Response200
{ "code": 0, "data": [ { "content_preview": "string", "created_at": 0, "domain": "string", "id": 0, "is_expired": true, "short_url": "string", "slug": "string", "text_type": "string", "title": "string" } ], "message": "string", "success": true}Delete Text Sharing DELETE
Permanently deletes a text sharing. This action cannot be undone. The slug will become available for reuse after deletion.
Get Available Domains for Text Sharing GET
Returns a list of all domains available for creating text sharing URLs with your account. Use these domain values when calling the Create Text Sharing endpoint.